BEGIN ~W_PSDIS~

IF ~Global("W_DISCIP","LOCALS",0)
~ THEN BEGIN 0 // from:
  SAY @300 /* Choose your psionic discipline: */
IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @301 GOTO Clairsentience
IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @302 GOTO Metacreativity
IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @303  GOTO Psychokinesis
IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @304 GOTO Psychometabolism
IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @305  GOTO Psychoportation
IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @306 GOTO Telepathy
//IF ~Global("W_DISCIP","LOCALS",0)~ THEN REPLY @307 GOTO None
END

IF ~~ THEN BEGIN Clairsentience
SAY @321
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",1) SetToken("W_PSDIS1",@11) SetToken("W_PSDIS2",@21)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN Metacreativity
SAY @322
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",2) SetToken("W_PSDIS1",@12) SetToken("W_PSDIS2",@22)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN Psychokinesis
SAY @323
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",3) SetToken("W_PSDIS1",@13) SetToken("W_PSDIS2",@23)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN Psychometabolism
SAY @324
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",4) SetToken("W_PSDIS1",@14) SetToken("W_PSDIS2",@24)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN Psychoportation
SAY @325
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",5) SetToken("W_PSDIS1",@15) SetToken("W_PSDIS2",@25)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN Telepathy
SAY @326
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",6) SetToken("W_PSDIS1",@16) SetToken("W_PSDIS2",@26)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN None
SAY @327 /* ~None - for testing purposes only.~ */
IF ~~ THEN REPLY
@315 /* Accept */ DO ~SetGlobal("W_DISCIP","LOCALS",99)~ GOTO W_END
IF ~~ THEN REPLY
@316 /* Select another discipline. */ DO ~SetGlobal("W_DISCIP","LOCALS",0)~ GOTO 0
END

IF ~~ THEN BEGIN W_END
SAY @317 /* ~You have selected your psionic discipline.~ */
IF ~~ THEN REPLY @318 /* EXIT. */ EXIT
END
